OpenOBEX

Data Fields
obex_headerdata_t Union Reference

OBEX object tag information. More...

`#include <obex_const.h>`

## Data Fields
uint32_t | bq4
| use this when header type is OBEX_HDR_TYPE_UINT32 More...
uint8_t | bq1
| use this when header type is OBEX_HDR_TYPE_UINT8 More...
const uint8_t * | bs
| use this when header type is OBEX_HDR_TYPE_BYTES or OBEX_HDR_TYPE_UNICODE More...

## Detailed Description

OBEX object tag information.

## Field Documentation

## ◆ bq1

uint8_t obex_headerdata_t::bq1

use this when header type is OBEX_HDR_TYPE_UINT8

## ◆ bq4

uint32_t obex_headerdata_t::bq4

use this when header type is OBEX_HDR_TYPE_UINT32

## ◆ bs

const uint8_t* obex_headerdata_t::bs

use this when header type is OBEX_HDR_TYPE_BYTES or OBEX_HDR_TYPE_UNICODE

The documentation for this union was generated from the following file:

- obex_const.h